{"openapi":"3.0.0","servers":[{"url":"http://example.com","description":"","variables":{}}],"info":{"version":"c07969d6-eec8-47f1-9397-6b7905eae584","title":"Encompass_Developer_Connect","description":"","termsOfService":"","contact":{},"license":{"name":""}},"paths":{"/encompass/v1/schema/loan":{"get":{"summary":"01 - Get Loan Schema","operationId":"01-GetLoanSchema","parameters":[{"$ref":"#/components/parameters/Authorization"},{"$ref":"#/components/parameters/Content-Type"}],"responses":{"200":{"description":"","headers":{}}},"tags":["Loan Schema"]}},"/encompass/v1/schema/loan/{fieldId}":{"get":{"summary":"02 - Get Field Schema","operationId":"02-GetFieldSchema","parameters":[{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"$ref":"#/components/parameters/fieldId"}],"responses":{"200":{"description":"","headers":{}}},"tags":["Loan Schema"]}},"/encompass/v1/schema/loan/pathGenerator":{"post":{"summary":"03 - Get JSON Path for fields","operationId":"03-GetJSONPathforfields","parameters":[{"$ref":"#/components/parameters/ignoreInvalidFields"},{"$ref":"#/components/parameters/fieldNamePattern"},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"string","example":["4000","4002"]},"example":"[\n\t\"4000\",\n\t\"4002\"\n]"}}},"tags":["Loan Schema"]}},"/encompass/v1/schema/loan/contractGenerator":{"post":{"summary":"04 - Get JSON Contract for fields","operationId":"04-GetJSONContractforfields","parameters":[{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"string","example":{"4000":"fname","4002":"lname","NEWHUD.X961":200}},"example":"{\n\t\"NEWHUD.X961\" : 200,\n\t\"4000\" : \"fname\",\n\t\"4002\" : \"lname\"\n}"}}},"tags":["Loan Schema"]}},"/encompass/v1/loans/supportedEntities":{"get":{"summary":"05 - Retrieve Supported Entities for Loan","description":"This step retrieves the loan you created.","operationId":"05-RetrieveSupportedEntitiesforLoan","parameters":[{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}}],"responses":{"200":{"description":"","headers":{}}},"tags":["Loan Schema"]}},"/encompass/v1/loans":{"post":{"summary":"01a - Create a loan","description":"Create a loan based on the sample provided in the developer connect documentation","operationId":"01a-Createaloan","parameters":[{"$ref":"#/components/parameters/view"},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"description":"Create a loan based on the sample provided in the developer connect documentation","required":true,"content":{"application/json":{"schema":{"type":"string","example":{"applicationTakenMethodType":"Internet","applications":[{"borrower":{"birthDate":"1983-01-02","emailAddressText":"experience_user@home.com","firstName":"Experience_Lab","homePhoneNumber":"415-555-1212","lastName":"Create"},"coBorrower":{"birthDate":"1983-01-04","emailAddressText":"experience_coborrower@home.com","firstName":"Experience_Coborrower","homePhoneNumber":"415-389-0909","lastName":"Create"},"employment":[{"owner":"Borrower","currentEmploymentIndicator":true,"phoneNumber":"510-123-3232"}],"residences":[{"addressCity":"Pleasanton","addressPostalCode":"94588","addressState":"CA"},{"addressCity":"Danville","addressPostalCode":"94583","addressState":"CA"}],"propertyUsageType":"PrimaryResidence","totalIncomeAmount":"11979.00","income":[{"incomeType":"Base","owner":"Borrower","amount":"5555.00","currentIndicator":"true"},{"incomeType":"Base","owner":"Borrower","amount":"5557.00","currentIndicator":"true"}]}],"fundingAmount":null,"lockField":false}},"example":"{\n    \"applicationTakenMethodType\": \"Internet\",\n    \"applications\": [{\n        \"borrower\": {\n            \"birthDate\": \"1983-01-02\",\n            \"emailAddressText\": \"experience_user@home.com\",\n            \"firstName\": \"Experience_Lab\",\n            \"homePhoneNumber\": \"415-555-1212\",\n            \"lastName\": \"Create\"\n        },\n        \"coBorrower\": {\n            \"birthDate\": \"1983-01-04\",\n            \"emailAddressText\": \"experience_coborrower@home.com\",\n            \"firstName\": \"Experience_Coborrower\",\n            \"homePhoneNumber\": \"415-389-0909\",\n            \"lastName\": \"Create\"\n        },\n        \"employment\": [{\n                \"owner\": \"Borrower\",\n                \"currentEmploymentIndicator\": true,\n                \"phoneNumber\": \"510-123-3232\"\n            }\n\n        ],\n        \"residences\": [{\n            \"addressCity\": \"Pleasanton\",\n            \"addressPostalCode\": \"94588\",\n            \"addressState\": \"CA\"\n        }, \n        {\n            \"addressCity\": \"Danville\",\n            \"addressPostalCode\": \"94583\",\n            \"addressState\": \"CA\"\n        }],\n        \"propertyUsageType\": \"PrimaryResidence\",\n        \"totalIncomeAmount\": \"11979.00\",\n        \"income\": [{\n                \"incomeType\": \"Base\",\n                \"owner\": \"Borrower\",\n                \"amount\": \"5555.00\",\n                \"currentIndicator\": \"true\"\n            },\n            {\n                \"incomeType\": \"Base\",\n                \"owner\": \"Borrower\",\n                \"amount\": \"5557.00\",\n                \"currentIndicator\": \"true\"\n            }\n        ]\n    }],\n    \"fundingAmount\": null,\n    \"lockField\": false\n}"}}},"tags":["Loan Management"]}},"/encompass/v1/importers/loan":{"post":{"summary":"01a - Import a loan from FNMA","description":"Create a loan based on the sample provided in the developer connect documentation","operationId":"01a-ImportaloanfromFNMA","parameters":[{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/vnd.elliemae.fnma32+text"},"description":"application/json"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"description":"Create a loan based on the sample provided in the developer connect documentation","required":true,"content":{"application/vnd.elliemae.fnma32+text":{"schema":{"type":"string","example":"\t\tEH                                20190308   ENV1     \nTH T100099-002TRAN1    \nTPI1.00 01                              N\n0001  3.20 W\n00ANN\n01A                                                                                                                                          0.00  0.000                                                                                                                                                                     \n02A                                                                                                   F1                                                                                    \n02B                                                                                                                                                          \n02CTPO TPO TPO                                                 \n02CTPO TPO TPO                                                 \n03ABW991919991TPO                                                                   Firstimer                              5155555555 3316U 0N11111111119860307alice.f@fanniemae.com                                                           \n03AQZ111111111TPO                                TPO                                TPO                                                     0N991919991                                                                                        \n05H991919991226         701.01\n05H991919991222          27.00\n05H991919991201          53.00\n05H991919991214          86.00\n05H991919991206          35.00\n05I99191999120        5000.00\n05I99191999109         250.00\n05I991919991SI        -902.01\n05I99191999130         150.00\n07A           0.00           0.00           0.00           0.00           0.00           0.00           0.00           0.00           0.00           0.00           0.00\n07B04         500.00\n07B08         368.00\n07B05        1000.00\n08A991919991NNNNNNNNN01YN   \n08A111111111 YY  Y          \n08B99191999192                                                                                                                                                                                                                                                               \n08B99191999193                                                                                                                                                                                                                                                               \n08B99191999196                                                                                                                                                                                                                                                               \n08B11111111192                                                                                                                                                                                                                                                               \n08B11111111193                                                                                                                                                                                                                                                               \n08B11111111196                                                                                                                                                                                                                                                               \n10A991919991N2                              F\n10A111111111N                                \n10B lender admin                                                        5426758907Ellie Mae - Encompass Platform     4140 Dublin Blvd. # 301                                               Dublin                             CA94568    \n10R9919199912 \n10R1111111116 \n00070 3.20 \n99B              0.00                                                                                                                            \nADSLoanOriginatorID                                                                     \nADSLoanOriginationCompanyID           666666                                            \nADSAppraisalIdentifier                                                                  \nADSHMDAGenderType                     991919991:Female                                  \nADSHMDAGenderRefusalIndicator         991919991:N                                       \nADSHMDAEthnicityType                  991919991:NotHispanicOrLatino                     \nADSHMDAEthnicityRefusalIndicator      991919991:N                                       \nADSHMDARaceType                       991919991:1:Asian                                 \nADSHMDARaceRefusalIndicator           991919991:N                                       \nADSHMDAGenderRefusalIndicator         111111111:N                                       \nADSHMDAEthnicityRefusalIndicator      111111111:N                                       \nADSHMDARaceType                       111111111:1:InformationNotProvidedByApplicantInMIT\nADSHMDARaceRefusalIndicator           111111111:N                                       \n00011 3.20 \nLNCF                    N     0.000                      N                  0.000   0.000  \nPID                                                  \nPCH   N01N   \nTT TRAN1    \nET ENV1     "},"example":"\t\tEH                                20190308   ENV1     \nTH T100099-002TRAN1    \nTPI1.00 01                              N\n0001  3.20 W\n00ANN\n01A                                                                                                                                          0.00  0.000                                                                                                                                                                     \n02A                                                                                                   F1                                                                                    \n02B                                                                                                                                                          \n02CTPO TPO TPO                                                 \n02CTPO TPO TPO                                                 \n03ABW991919991TPO                                                                   Firstimer                              5155555555 3316U 0N11111111119860307alice.f@fanniemae.com                                                           \n03AQZ111111111TPO                                TPO                                TPO                                                     0N991919991                                                                                        \n05H991919991226         701.01\n05H991919991222          27.00\n05H991919991201          53.00\n05H991919991214          86.00\n05H991919991206          35.00\n05I99191999120        5000.00\n05I99191999109         250.00\n05I991919991SI        -902.01\n05I99191999130         150.00\n07A           0.00           0.00           0.00           0.00           0.00           0.00           0.00           0.00           0.00           0.00           0.00\n07B04         500.00\n07B08         368.00\n07B05        1000.00\n08A991919991NNNNNNNNN01YN   \n08A111111111 YY  Y          \n08B99191999192                                                                                                                                                                                                                                                               \n08B99191999193                                                                                                                                                                                                                                                               \n08B99191999196                                                                                                                                                                                                                                                               \n08B11111111192                                                                                                                                                                                                                                                               \n08B11111111193                                                                                                                                                                                                                                                               \n08B11111111196                                                                                                                                                                                                                                                               \n10A991919991N2                              F\n10A111111111N                                \n10B lender admin                                                        5426758907Ellie Mae - Encompass Platform     4140 Dublin Blvd. # 301                                               Dublin                             CA94568    \n10R9919199912 \n10R1111111116 \n00070 3.20 \n99B              0.00                                                                                                                            \nADSLoanOriginatorID                                                                     \nADSLoanOriginationCompanyID           666666                                            \nADSAppraisalIdentifier                                                                  \nADSHMDAGenderType                     991919991:Female                                  \nADSHMDAGenderRefusalIndicator         991919991:N                                       \nADSHMDAEthnicityType                  991919991:NotHispanicOrLatino                     \nADSHMDAEthnicityRefusalIndicator      991919991:N                                       \nADSHMDARaceType                       991919991:1:Asian                                 \nADSHMDARaceRefusalIndicator           991919991:N                                       \nADSHMDAGenderRefusalIndicator         111111111:N                                       \nADSHMDAEthnicityRefusalIndicator      111111111:N                                       \nADSHMDARaceType                       111111111:1:InformationNotProvidedByApplicantInMIT\nADSHMDARaceRefusalIndicator           111111111:N                                       \n00011 3.20 \nLNCF                    N     0.000                      N                  0.000   0.000  \nPID                                                  \nPCH   N01N   \nTT TRAN1    \nET ENV1     "}}},"tags":["Loan Management"]}},"/encompass/v1/loans/{LoanGuid}":{"get":{"summary":"02 - Retrieve a loan","description":"This step retrieves the loan you created.","operationId":"02-Retrievealoan","parameters":[{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"$ref":"#/components/parameters/LoanGuid"}],"responses":{"200":{"description":"","headers":{}}},"tags":["Loan Management"]},"patch":{"summary":"05a - Update a loan","description":"Update the loan you created by updating the last name of tbe borrower","operationId":"05a-Updatealoan","parameters":[{"name":"view","in":"query","required":true,"style":"form","schema":{"type":"string","example":"id"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"description":"Update the loan you created by updating the last name of tbe borrower","required":true,"content":{"application/json":{"schema":{"type":"string","example":{"applicationTakenMethodType":"Internet","applications":[{"id":"borrower_2","borrower":{"altId":"borrower_2","birthDate":"1983-01-02","emailAddressText":"experience_user@home.com","firstName":"Experience_Lab","homePhoneNumber":"415-555-1212","lastName":"Update_b"},"coBorrower":{"altId":"coborrower_2","birthDate":"1983-01-04","emailAddressText":"experience_coborrower@home.com","firstName":"Experience_Coborrower","homePhoneNumber":"415-389-0909","lastName":"Update_cob"}}]}},"example":"{\n    \"applicationTakenMethodType\": \"Internet\",\n    \"applications\": [\n    \t{ \n    \t\"id\": \"borrower_2\",\n        \"borrower\": {\n          \"altId\": \"borrower_2\",\n            \"birthDate\": \"1983-01-02\",\n            \"emailAddressText\": \"experience_user@home.com\",\n            \"firstName\": \"Experience_Lab\",\n            \"homePhoneNumber\": \"415-555-1212\",\n            \"lastName\": \"Update_b\"\n        },\n        \"coBorrower\": {\n          \"altId\": \"coborrower_2\",\n            \"birthDate\": \"1983-01-04\",\n            \"emailAddressText\": \"experience_coborrower@home.com\",\n            \"firstName\": \"Experience_Coborrower\",\n            \"homePhoneNumber\": \"415-389-0909\",\n            \"lastName\": \"Update_cob\"\n        }\n    }\n    ]\n}"}}},"tags":["Loan Management"]},"delete":{"summary":"07 - Delete the loan","description":"This step deletes the loan you created and updated in the previous steps.","operationId":"07-Deletetheloan","parameters":[{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}}],"responses":{"200":{"description":"","headers":{}}},"tags":["Loan Management"]}},"/encompass/v1/loans/{LoanGuid}/fieldReader":{"post":{"summary":"03 - Loan Field Reader (Retrieve values for field IDs)","operationId":"03-LoanFieldReader(RetrievevaluesforfieldIDs)","parameters":[{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"string","example":["PreviousTeamMemberTitle","CoreMilestone","Log.MS.CurrentMilestone","Log.MS.Stage","Log.MS.LastCompleted","PCC.ALL","PCC.NOTCLEARED","LOCKRATE.RATESTATUS","LOCKRATE.REQUESTCOUNT","LOCKRATE.BUYLOCKCOUNT","LOCKRATE.SELLLOCKCOUNT","LOCKRATE.CONFIRMATIONCOUNT","LOCKRATE.DENIALCOUNT","LOCKRATE.CURRENTSTATUS","LOCKRATE.CURRENTDATETIME","LOCKRATE.REQUESTED","LOCKRATE.REQUESTPENDING","LOCKRATE.RATEREQUESTSTATUS","LOCKRATE.REQUESTSTATUS"]},"example":"[\n \"PreviousTeamMemberTitle\",\n        \"CoreMilestone\",\n        \"Log.MS.CurrentMilestone\",\n        \"Log.MS.Stage\",\n        \"Log.MS.LastCompleted\",\n        \"PCC.ALL\",\n        \"PCC.NOTCLEARED\",\n        \"LOCKRATE.RATESTATUS\",\n        \"LOCKRATE.REQUESTCOUNT\",\n        \"LOCKRATE.BUYLOCKCOUNT\",\n        \"LOCKRATE.SELLLOCKCOUNT\",\n        \"LOCKRATE.CONFIRMATIONCOUNT\",\n        \"LOCKRATE.DENIALCOUNT\",\n        \"LOCKRATE.CURRENTSTATUS\",\n        \"LOCKRATE.CURRENTDATETIME\",\n        \"LOCKRATE.REQUESTED\",\n        \"LOCKRATE.REQUESTPENDING\",\n        \"LOCKRATE.RATEREQUESTSTATUS\",\n        \"LOCKRATE.REQUESTSTATUS\"\n]\n"}}},"tags":["Loan Management"]}},"/encompass/v1/loans/{LoanGuid}/metadata":{"get":{"summary":"04 - Retrieve loan metadata","description":"Retrieves loan metatadata. e.g loan name, loan folder","operationId":"04-Retrieveloanmetadata","parameters":[{"$ref":"#/components/parameters/Accept"},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}}],"responses":{"200":{"description":"","headers":{}}},"tags":["Loan Management"]}},"/encompass/v1/loanfolders/My Pipeline/loans":{"patch":{"summary":"06 - Move a Loan from one folder to another","operationId":"06-MoveaLoanfromonefoldertoanother","parameters":[{"$ref":"#/components/parameters/action"},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"string","example":{"loanGuid":"{{LoanGuid}}"}},"example":"{\r\n\"loanGuid\": \"{{LoanGuid}}\" \r\n}"}}},"tags":["Loan Management"]}},"/encompass/v1/settings/templates/loanTemplateSet/folders/public":{"get":{"summary":"01 - Return all template folders","description":"Returns all folders available under the folderPath.","operationId":"01-Returnalltemplatefolders","parameters":[{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Accept","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}}],"responses":{"200":{"description":"","headers":{}}},"tags":["Loan Templates"]}},"/encompass/v1/settings/templates/loanTemplateSet/items":{"get":{"summary":"02 - Return list of loan templates","description":"Returns all folders available under the templatePath.","operationId":"02-Returnlistofloantemplates","parameters":[{"$ref":"#/components/parameters/path"},{"name":"Accept","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}}],"responses":{"200":{"description":"","headers":{}}},"tags":["Loan Templates"]}},"/encompass/v1/loans/{LoanGuid}/associates":{"get":{"summary":"01 - Retrieve all loan associates","description":"Retrieves a list of loan associates","operationId":"01-Retrieveallloanassociates","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}}],"responses":{"200":{"description":"","headers":{}}},"tags":["Milestones"]}},"/encompass/v1/loans/{LoanGuid}/associates/{milestoneLogId}":{"get":{"summary":"02 - Retrieve a loan associate for a milestone/ milestoneFreeRole","description":"Retrieve a loan associate based on milestone/milestone free role guid.","operationId":"02-Retrievealoanassociateforamilestone/milestoneFreeRole","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}},{"$ref":"#/components/parameters/milestoneLogId"}],"responses":{"200":{"description":"","headers":{}}},"tags":["Milestones"]},"put":{"summary":"03 - Assign a loan associate to a milestone/ milestoneFreeRole","description":"Assign a loan associate to milestone based on provided milestone/milestone free role guid and user id.","operationId":"03-Assignaloanassociatetoamilestone/milestoneFreeRole","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}},{"name":"milestoneLogId","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"milestoneLogId"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"description":"Assign a loan associate to milestone based on provided milestone/milestone free role guid and user id.","required":true,"content":{"application/json":{"schema":{"type":"string","example":{"loanAssociateType":"User","id":"amurthyreg"}},"example":"{\n        \"loanAssociateType\": \"User\",\n        \"id\": \"amurthyreg\"\n}"}}},"tags":["Milestones"]}},"/encompass/v1/loans/{LoanGuid}/milestones":{"get":{"summary":"04 - Retrieve all milestones of a loan","description":"Returns all milestones for a loan.","operationId":"04-Retrieveallmilestonesofaloan","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}}],"responses":{"200":{"description":"","headers":{}}},"tags":["Milestones"]}},"/encompass/v1/loans/{LoanGuid}/milestones/{milestoneLogId}":{"get":{"summary":"05 - Retrieve a specific milestone of a loan","description":"Returns specifc milestone of a loan.","operationId":"05-Retrieveaspecificmilestoneofaloan","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}},{"name":"milestoneLogId","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"milestoneLogId"}}],"responses":{"200":{"description":"","headers":{}}},"tags":["Milestones"]},"patch":{"summary":"06a - Update a specific milestone","description":"Update the specific milestones for a loan.","operationId":"06a-Updateaspecificmilestone","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}},{"name":"milestoneLogId","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"milestoneLogId"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"description":"Update the specific milestones for a loan.","required":true,"content":{"application/json":{"schema":{"type":"string","example":{"startDate":"2018-07-16T05:54:19.000Z","loanAssociate":{"loanAssociateType":"User","id":"admin"},"comments":"TESTING MILESTONE COMMENTS"}},"example":"{\n\t\"startDate\": \"2018-07-16T05:54:19.000Z\",\n    \"loanAssociate\": {\n        \"loanAssociateType\": \"User\",\n        \"id\": \"admin\"\n    },\n    \"comments\":\"TESTING MILESTONE COMMENTS\"\n}"}}},"tags":["Milestones"]}},"/encompass/v1/loans/{LoanGuid}/milestones/fd84cfdb-eaa0-4613-b8a4-bdc986c0a911":{"patch":{"summary":"06b - Finish a specific milestone","description":"Update the specific milestones for a loan.","operationId":"06b-Finishaspecificmilestone","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"description":"Update the specific milestones for a loan.","required":true,"content":{"application/json":{"schema":{"type":"string","example":{"startDate":"2018-07-16T05:54:19.000Z","loanAssociate":{"loanAssociateType":"User","id":"admin"},"comments":"TESTING MILESTONE COMMENTS"}},"example":"{\n\t\"startDate\": \"2018-07-16T05:54:19.000Z\",\n    \"loanAssociate\": {\n        \"loanAssociateType\": \"User\",\n        \"id\": \"admin\"\n    },\n    \"comments\":\"TESTING MILESTONE COMMENTS\"\n}"}}},"tags":["Milestones"]}},"/encompass/v1/loans/{LoanGuid}/milestoneFreeRoles":{"get":{"summary":"07 - Retrieve all milestoneFreeRole logs of a loan","description":"Retrieves a list of milestonefreelogs for a loan","operationId":"07-RetrieveallmilestoneFreeRolelogsofaloan","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}}],"responses":{"200":{"description":"","headers":{}}},"tags":["Milestones"]}},"/encompass/v1/loans/{LoanGuid}/milestoneFreeRoles/{milestoneFreeRoleLogId}":{"get":{"summary":"08 - Retrieve specific milestoneFreeRole log","description":"Retrieves a specific milestonefreerolelog of given logId for a loan","operationId":"08-RetrievespecificmilestoneFreeRolelog","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}},{"$ref":"#/components/parameters/milestoneFreeRoleLogId"}],"responses":{"200":{"description":"","headers":{}}},"tags":["Milestones"]},"patch":{"summary":"09 - Update a specific milestoneFreeRole log","description":"Update the specific milestones for a loan.","operationId":"09-UpdateaspecificmilestoneFreeRolelog","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}},{"name":"milestoneFreeRoleLogId","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"milestoneFreeRoleLogId"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"description":"Update the specific milestones for a loan.","required":true,"content":{"application/json":{"schema":{"type":"string","example":{"loanAssociate":{"loanAssociateType":"User","id":"servicer"}}},"example":"{\n    \"loanAssociate\": {\n        \"loanAssociateType\": \"User\",\n        \"id\": \"servicer\"\n    }\n}"}}},"tags":["Milestones"]}},"/encompass/v1/resourceLocks":{"post":{"summary":"01 - Lock a resource (loan)","description":"Create a loan based on the sample provided in the developer connect documentation","operationId":"01-Lockaresource(loan)","parameters":[{"name":"view","in":"query","required":true,"style":"form","schema":{"type":"string","example":"id"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"description":"Create a loan based on the sample provided in the developer connect documentation","required":true,"content":{"application/json":{"schema":{"type":"string","example":{"resource":{"entityId":"{{LoanGuid}}","entityType":"loan"},"lockType":"exclusive"}},"example":"{\n\t\"resource\":{\n\t\t\"entityId\": \"{{LoanGuid}}\", \n\t\t\"entityType\": \"loan\"\t\n\t},\n\t\"lockType\": \"exclusive\"\n}"}}},"tags":["Resource Locks"]},"get":{"summary":"03 - Retrieve locks","description":"This step retrieves the loan you created.","operationId":"03-Retrievelocks","parameters":[{"name":"resourceType","in":"query","required":true,"style":"form","schema":{"type":"string","example":"loan"}},{"name":"resourceId","in":"query","required":true,"style":"form","schema":{"type":"string","example":"{{LoanGuid}}"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}}],"responses":{"200":{"description":"","headers":{}}},"tags":["Resource Locks"]}},"/encompass/v1/resourceLocks/{LockId}":{"get":{"summary":"02 - Retrieve a lock","description":"This step retrieves the loan you created.","operationId":"02-Retrievealock","parameters":[{"$ref":"#/components/parameters/resourceType"},{"$ref":"#/components/parameters/resourceId"},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"$ref":"#/components/parameters/LockId"}],"responses":{"200":{"description":"","headers":{}}},"tags":["Resource Locks"]},"delete":{"summary":"04 - Unlock a resource (loan)","description":"This step deletes the loan you created and updated in the previous steps.","operationId":"04-Unlockaresource(loan)","parameters":[{"name":"resourceType","in":"query","required":true,"style":"form","schema":{"type":"string","example":"loan"}},{"name":"resourceId","in":"query","required":true,"style":"form","schema":{"type":"string","example":"{{LoanGuid}}"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"LockId","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LockId"}}],"responses":{"200":{"description":"","headers":{}}},"tags":["Resource Locks"]}},"/encompass/v1/loans/{LoanGuid}/applications":{"post":{"summary":"01 - Create Borrower Pair","operationId":"01-CreateBorrowerPair","parameters":[{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"string","example":{"assets":[{"id":"Asset/0","assetType":"LifeInsurance","borrowerId":"_borrower2","isEmpty":true}],"borrower":{"aliasName":"Test - Borrower","alimonyChildSupportObligationIndicator":false,"borrowerType":"Individual","bankruptcyIndicator":false,"baseMonthlyIncomeAmount":3300,"birthDate":"1983-01-02","borrowedDownPaymentIndicator":false,"borrowerTypeInSummary":"Individual","citizenshipResidencyType":"USCitizen","emailAddressText":"test@borrowerpair.com","firstName":"Borrower_First_Name","hmda2003RaceNationalOriginType":"","hmdaAsianIndicator":false,"hmdaEthnicityType":"Hispanic","hmdaGenderType":"Male","hmdaWhiteIndicator":true,"homePhoneNumber":"408-120-9089","homeownerPastThreeYearsIndicator":true,"intentToOccupyIndicator":true,"isBorrower":true,"lastName":"Sample","lastNameWithSuffix":"Sample","loanForeclosureOrJudgementIndicator":false,"maritalStatusType":"Married","middleCreditScore":812,"middleName":"Edith MiddleCE_2015_paidtoBlank","minFicoScore":"625","outstandingJudgementsIndicator":false,"partyToLawsuitIndicator":false,"poaOccupancyIntent":"Will Occupy","powerOfAttorneyTitleDescription":"A MARRIED MAN","presentlyDelinquentIndicator":false,"priorPropertyTitleType":"JointWithSpouse","priorPropertyUsageType":"PrimaryResidence","propertyForeclosedPastSevenYearsIndicator":false,"schoolingTermYears":16,"taxIdentificationIdentifier":"909-909-9099","vestingTrusteeOfType":"Trust 1","workEmailAddress":"workemail@borrowerpair.com"},"coborrower":{"aliasName":"Conv Example","alimonyChildSupportObligationIndicator":false,"borrowerType":"Individual","bankruptcyIndicator":false,"baseMonthlyIncomeAmount":3300,"birthDate":"1988-01-02","borrowedDownPaymentIndicator":false,"BorrowerTypeInSummary":"Individual","citizenshipResidencyType":"Permanent Resident","coMakerEndorserOfNoteIndicator":false,"declarationsJIndicator":true,"declarationsKIndicator":false,"dependentCount":2,"dependentsAgesDescription":"10,13","emailAddressText":"test@allhere.com","firstName":"Spouse","firstNameWithMiddleName":"QA","firstTimeHomeBuyer":true,"hmda2003RaceNationalOriginType":"","hmdaAsianIndicator":false,"hmdaEthnicityType":"Not Hispanic or Latino","hmdaGenderType":"Male","hmdaWhiteIndicator":true,"homePhoneNumber":"111-222-3333","homeownerPastThreeYearsIndicator":true,"intentToOccupyIndicator":true,"isBorrower":true,"lastName":"Coborrower","loanForeclosureOrJudgementIndicator":false,"maritalStatusType":"Married","middleCreditScore":768,"middleName":"Edith MiddleCE_2015_paidtoBlank","minFicoScore":"625","otherMonthlyIncomeAmount":1012,"outstandingJudgementsIndicator":false,"partyToLawsuitIndicator":false,"poaOccupancyIntent":"Will Occupy","powerOfAttorneyTitleDescription":"A MARRIED WOMAN","presentlyDelinquentIndicator":false,"priorPropertyTitleType":"JointWithSpouse","priorPropertyUsageType":"PrimaryResidence","propertyForeclosedPastSevenYearsIndicator":false,"schoolingTermYears":16,"subtotalLiquidAssetsMinusGiftAmount":56500,"taxIdentificationIdentifier":"900-100-1000","vestingTrusteeOfType":"Trust 1","workEmailAddress":"coborr@borrowerpair.com"},"income":[{"id":"Borrower_Base","otherIncomeIndex":0,"currentIndicator":true,"incomeType":"Base","owner":"Borrower"}],"propertyUsageType":"","tax4506s":[{"id":"Tax4506/0"}]}},"example":" {\n    \"assets\": [\n      {\n        \"id\": \"Asset/0\",\n        \"assetType\": \"LifeInsurance\",\n        \"borrowerId\": \"_borrower2\",\n        \"isEmpty\": true\n      }\n    ],\n    \"borrower\": {\n      \"aliasName\": \"Test - Borrower\",\n\t\t\"alimonyChildSupportObligationIndicator\": false,\n        \"borrowerType\": \"Individual\",\n\t\t\"bankruptcyIndicator\": false,\n\t\t\t\"baseMonthlyIncomeAmount\": 3300.00,\n\t\t\t\"birthDate\": \"1983-01-02\",\n\t\t\t\"borrowedDownPaymentIndicator\": false,\n\t\t\t\"borrowerTypeInSummary\": \"Individual\",\n\t\t\t\"citizenshipResidencyType\": \"USCitizen\",\n\t\t\t\"emailAddressText\": \"test@borrowerpair.com\",\n        \"firstName\": \"Borrower_First_Name\",\n\n\t\t\"hmda2003RaceNationalOriginType\": \"\",\n\t\t\t\"hmdaAsianIndicator\": false,\n\t\t\t\"hmdaEthnicityType\": \"Hispanic\",\n\t\t\t\"hmdaGenderType\": \"Male\",\n\t\t\t\"hmdaWhiteIndicator\": true,\n\t\t\t\"homePhoneNumber\": \"408-120-9089\",\n\t\t\t\"homeownerPastThreeYearsIndicator\": true,\n\t\t\t\"intentToOccupyIndicator\": true,\t\n        \t\"isBorrower\": true,\n    \t\t\"lastName\": \"Sample\",\n    \t\t\"lastNameWithSuffix\": \"Sample\",\n\t\t\t\"loanForeclosureOrJudgementIndicator\": false,\n\t\t\t\"maritalStatusType\": \"Married\",\n\t\t\t\"middleCreditScore\": 812,\n\t\t\t\"middleName\": \"Edith MiddleCE_2015_paidtoBlank\",\n\t\t\t\"minFicoScore\": \"625\",\n\t\t\t\"outstandingJudgementsIndicator\": false,\n\t\t\t\"partyToLawsuitIndicator\": false,\n\t\t\t\"poaOccupancyIntent\": \"Will Occupy\",\n\t\t\t\"powerOfAttorneyTitleDescription\": \"A MARRIED MAN\",\n\t\t\t\"presentlyDelinquentIndicator\": false,\n\t\t\t\"priorPropertyTitleType\": \"JointWithSpouse\",\n\t\t\t\"priorPropertyUsageType\": \"PrimaryResidence\",\n\t\t\t\"propertyForeclosedPastSevenYearsIndicator\": false,\n\t\t\t\"schoolingTermYears\": 16,\n\t\t\t\"taxIdentificationIdentifier\": \"909-909-9099\",\n\t\t\t\"vestingTrusteeOfType\": \"Trust 1\",\n\t\t\t\"workEmailAddress\": \"workemail@borrowerpair.com\"\n    },\n    \"coborrower\": {\n      \"aliasName\": \"Conv Example\",\n\t\t\"alimonyChildSupportObligationIndicator\": false,\n        \"borrowerType\": \"Individual\",\n\t\t\"bankruptcyIndicator\": false,\n\t\t\t\"baseMonthlyIncomeAmount\": 3300.00,\n\t\t\t\"birthDate\": \"1988-01-02\",\n\t\t\t\"borrowedDownPaymentIndicator\": false,\n\t\t\t\"BorrowerTypeInSummary\": \"Individual\",\n\t\t\t\"citizenshipResidencyType\": \"Permanent Resident\",\n\t\t\t\"coMakerEndorserOfNoteIndicator\": false,\n\t\t\t\"declarationsJIndicator\": true,\n\t\t\t\"declarationsKIndicator\": false,\n\t\t\t\"dependentCount\": 2,\n\t\t\t\"dependentsAgesDescription\": \"10,13\",\n\t\t\t\"emailAddressText\": \"test@allhere.com\",\n        \"firstName\": \"Spouse\",\n        \"firstNameWithMiddleName\": \"QA\",\n\t\t\"firstTimeHomeBuyer\": true,\n\t\t\"hmda2003RaceNationalOriginType\": \"\",\n\t\t\t\"hmdaAsianIndicator\": false,\n\t\t\t\"hmdaEthnicityType\": \"Not Hispanic or Latino\",\n\t\t\t\"hmdaGenderType\": \"Male\",\n\t\t\t\"hmdaWhiteIndicator\": true,\n\t\t\t\"homePhoneNumber\": \"111-222-3333\",\n\t\t\t\"homeownerPastThreeYearsIndicator\": true,\n\t\t\t\"intentToOccupyIndicator\": true,\t\n        \"isBorrower\": true,\n       \"lastName\": \"Coborrower\",\n\t\t\t\"loanForeclosureOrJudgementIndicator\": false,\n\t\t\t\"maritalStatusType\": \"Married\",\n\t\t\t\"middleCreditScore\": 768,\n\t\t\t\"middleName\": \"Edith MiddleCE_2015_paidtoBlank\",\n\t\t\t\"minFicoScore\": \"625\",\n\t\t\t\"otherMonthlyIncomeAmount\": 1012.00,\n\t\t\t\"outstandingJudgementsIndicator\": false,\n\t\t\t\"partyToLawsuitIndicator\": false,\n\t\t\t\"poaOccupancyIntent\": \"Will Occupy\",\n\t\t\t\"powerOfAttorneyTitleDescription\": \"A MARRIED WOMAN\",\n\t\t\t\"presentlyDelinquentIndicator\": false,\n\t\t\t\"priorPropertyTitleType\": \"JointWithSpouse\",\n\t\t\t\"priorPropertyUsageType\": \"PrimaryResidence\",\n\t\t\t\"propertyForeclosedPastSevenYearsIndicator\": false,\n\t\t\t\"schoolingTermYears\": 16,\n\t\t\t\"subtotalLiquidAssetsMinusGiftAmount\": 56500.00,\n\t\t\t\"taxIdentificationIdentifier\": \"900-100-1000\",\n\t\t\t\"vestingTrusteeOfType\": \"Trust 1\",\n\t\t\t\"workEmailAddress\": \"coborr@borrowerpair.com\"\n    },\n    \"income\": [\n      {\n        \"id\": \"Borrower_Base\",\n        \"otherIncomeIndex\": 0,\n        \"currentIndicator\": true,\n        \"incomeType\": \"Base\",\n        \"owner\": \"Borrower\"\n      }\n    ],\n    \"propertyUsageType\": \"\",\n    \"tax4506s\": [\n      {\n        \"id\": \"Tax4506/0\"\n      }\n    ]\n  }"}}},"tags":["Borrower Pairs"]},"get":{"summary":"03 - Get all BorrowerPairs","operationId":"03-GetallBorrowerPairs","parameters":[{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}}],"responses":{"200":{"description":"","headers":{}}},"tags":["Borrower Pairs"]},"patch":{"summary":"07 - Swap / Move Borrower - CoBorrower","description":"To Swap / Move Borrower - CoBorrower across applications of a loan","operationId":"07-Swap/MoveBorrower-CoBorrower","parameters":[{"name":"Accept","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"description":"To Swap / Move Borrower - CoBorrower across applications of a loan","required":true,"content":{"application/json":{"schema":{"type":"string","example":[{"id":"e04037a7-f184-4e88-b1f3-1cfb48dcdfe9","applicationIndex":1,"borrower":{"altId":"e04037a7-f184-4e88-b1f3-1cfb48dcdfe9"},"coborrower":{"altId":"89ca54fd-23bb-4237-ba2a-74141fdd14da"}},{"id":"borrower_2","applicationIndex":0,"borrower":{"altId":"borrower_2"},"coborrower":{"altId":"coborrower_2"}}]},"example":"[\n\t{\n\t\t\"id\": \"e04037a7-f184-4e88-b1f3-1cfb48dcdfe9\",\n\t\t\"applicationIndex\" : 1,\n\t\t\"borrower\": {\n\t\t\t\"altId\" : \"e04037a7-f184-4e88-b1f3-1cfb48dcdfe9\"\n\t\t},\n\t\t\"coborrower\" : {\n\t\t\t\"altId\" : \"89ca54fd-23bb-4237-ba2a-74141fdd14da\"\n\t\t}\n\t},\n\t{\n\t\t\"id\" : \"borrower_2\",\n\t\t\"applicationIndex\" : 0,\n\t\t\"borrower\": {\n\t\t\t\"altId\" : \"borrower_2\"\n\t\t},\n\t\t\"coborrower\" : {\n\t\t\t\"altId\" : \"coborrower_2\"\n\t\t}\n\t}\n]"}}},"tags":["Borrower Pairs"]}},"/encompass/v1/loans/{LoanGuid}/applications/{bor_pair_id}":{"get":{"summary":"02 - Get Borrower Pair","operationId":"02-GetBorrowerPair","parameters":[{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}},{"$ref":"#/components/parameters/bor_pair_id"}],"responses":{"200":{"description":"","headers":{}}},"tags":["Borrower Pairs"]},"patch":{"summary":"04 - Update Borrower Pair","operationId":"04-UpdateBorrowerPair","parameters":[{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}},{"name":"bor_pair_id","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"bor_pair_id"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"string","example":{"id":"_borrowertest","applicationId":"_borrowertest","applicationIndex":1,"assets":[{"id":"Asset/0","assetType":"LifeInsurance","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/1","assetIndex":1,"assetType":"RetirementFund","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/2","assetIndex":2,"assetType":"NetWorthOfBusinessOwned","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/3","assetIndex":3,"assetType":"Stock","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/4","assetIndex":4,"assetType":"Stock","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/5","assetIndex":5,"assetType":"Stock","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/6","assetIndex":6,"assetType":"Stock","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/7","assetIndex":7,"assetType":"Automobile","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/8","assetIndex":8,"assetType":"Automobile","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/9","assetIndex":9,"assetType":"Automobile","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/10","assetIndex":10,"assetType":"CashOnHand","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/11","assetIndex":11,"assetType":"CashOnHand","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/12","assetIndex":12,"assetType":"OtherNonLiquidAssets","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/13","assetIndex":13,"assetType":"OtherNonLiquidAssets","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/14","assetIndex":14,"assetType":"OtherNonLiquidAssets","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/15","assetIndex":15,"assetType":"OtherNonLiquidAssets","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/16","assetIndex":16,"assetType":"OtherNonLiquidAssets","borrowerId":"_borrower2","isEmpty":true},{"id":"Asset/17","assetIndex":17,"assetType":"OtherNonLiquidAssets","borrowerId":"_borrower2","isEmpty":true}],"borrower":{"aliasName":"UpdateBorrower","alimonyChildSupportObligationIndicator":false,"borrowerType":"Individual","bankruptcyIndicator":false,"baseMonthlyIncomeAmount":3300,"birthDate":"/Date(-788227200000)/","borrowedDownPaymentIndicator":false,"borrowerTypeInSummary":"Individual","citizenshipResidencyType":"USCitizen","coMakerEndorserOfNoteIndicator":false,"declarationsJIndicator":true,"declarationsKIndicator":false,"dependentCount":1,"dependentsAgesDescription":"13","emailAddressText":"test@where.com","firstName":"Aneesha","firstNameWithMiddleName":"Aneesha update","firstTimeHomeBuyer":true,"fullName":"Aneesha","fullNameWithSuffix":"Aneesha","hmda2003RaceNationalOriginType":"","hmdaAsianIndicator":false,"hmdaEthnicityType":"Not Hispanic or Latino","hmdaGenderType":"Female","hmdaWhiteIndicator":true,"homePhoneNumber":"111-222-3333","homeownerPastThreeYearsIndicator":true,"intentToOccupyIndicator":true,"isBorrower":true,"lastName":"BorrPair","lastNameWithSuffix":"BorrPair","loanForeclosureOrJudgementIndicator":false,"maritalStatusType":"Married","middleCreditScore":768,"middleName":"update","minFicoScore":"625","outstandingJudgementsIndicator":false,"partyToLawsuitIndicator":false,"poaOccupancyIntent":"Will Occupy","powerOfAttorneyTitleDescription":"A MARRIED MAN","presentlyDelinquentIndicator":false,"priorPropertyTitleType":"JointWithSpouse","priorPropertyUsageType":"PrimaryResidence","propertyForeclosedPastSevenYearsIndicator":false,"schoolingTermYears":16,"taxIdentificationIdentifier":"123-45-6789","vestingTrusteeOfType":"Trust 1","workEmailAddress":"b@a.com"},"coborrower":{"aliasName":"Conv Example","alimonyChildSupportObligationIndicator":false,"borrowerType":"Individual","bankruptcyIndicator":false,"baseMonthlyIncomeAmount":6300,"birthDate":"/Date(-788227200000)/","borrowedDownPaymentIndicator":false,"BorrowerTypeInSummary":"Individual","citizenshipResidencyType":"USCitizen","coMakerEndorserOfNoteIndicator":false,"declarationsJIndicator":true,"declarationsKIndicator":false,"dependentCount":2,"dependentsAgesDescription":"10,13","emailAddressText":"ja@where.com","firstName":"Aneesha","firstNameWithMiddleName":"AneeshaCoborrower","firstTimeHomeBuyer":true,"fullName":"AneeshaCoborrower","fullNameWithSuffix":"AneeshaCoborrower","hmda2003RaceNationalOriginType":"","hmdaAsianIndicator":false,"hmdaEthnicityType":"Not Hispanic or Latino","hmdaGenderType":"Male","hmdaWhiteIndicator":true,"homePhoneNumber":"111-222-3333","homeownerPastThreeYearsIndicator":true,"intentToOccupyIndicator":true,"isBorrower":true,"lastName":"updateTest","lastNameWithSuffix":"updateTest","loanForeclosureOrJudgementIndicator":false,"maritalStatusType":"Married","middleCreditScore":768,"middleName":"Edith MiddleCE_2015_paidtoBlank","minFicoScore":"625","outstandingJudgementsIndicator":false,"partyToLawsuitIndicator":false,"poaOccupancyIntent":"Will Occupy","powerOfAttorneyTitleDescription":"A MARRIED MAN","presentlyDelinquentIndicator":false,"priorPropertyTitleType":"JointWithSpouse","priorPropertyUsageType":"PrimaryResidence","propertyForeclosedPastSevenYearsIndicator":false,"schoolingTermYears":16,"taxIdentificationIdentifier":"123-45-6789","vestingTrusteeOfType":"Trust 1","workEmailAddress":"b@a.com"},"income":[{"id":"Borrower_Base","otherIncomeIndex":0,"currentIndicator":true,"incomeType":"Base","owner":"Borrower"},{"id":"Borrower_Overtime","otherIncomeIndex":0,"currentIndicator":true,"incomeType":"Overtime","owner":"Borrower"},{"id":"Borrower_Bonus","otherIncomeIndex":0,"currentIndicator":true,"incomeType":"Bonus","owner":"Borrower"},{"id":"Borrower_Commissions","otherIncomeIndex":0,"currentIndicator":true,"incomeType":"Commissions","owner":"Borrower"},{"id":"Borrower_DividendsInterest","otherIncomeIndex":0,"currentIndicator":true,"incomeType":"DividendsInterest","owner":"Borrower"},{"id":"Borrower_NetRentalIncome","otherIncomeIndex":0,"currentIndicator":true,"incomeType":"NetRentalIncome","owner":"Borrower"},{"id":"Borrower_OtherTypesOfIncome","otherIncomeIndex":0,"currentIndicator":true,"incomeType":"OtherTypesOfIncome","owner":"Borrower"},{"id":"CoBorrower_Base","otherIncomeIndex":0,"currentIndicator":true,"incomeType":"Base","owner":"CoBorrower"},{"id":"CoBorrower_Overtime","otherIncomeIndex":0,"currentIndicator":true,"incomeType":"Overtime","owner":"CoBorrower"},{"id":"CoBorrower_Bonus","otherIncomeIndex":0,"currentIndicator":true,"incomeType":"Bonus","owner":"CoBorrower"},{"id":"CoBorrower_Commissions","otherIncomeIndex":0,"currentIndicator":true,"incomeType":"Commissions","owner":"CoBorrower"},{"id":"CoBorrower_DividendsInterest","otherIncomeIndex":0,"currentIndicator":true,"incomeType":"DividendsInterest","owner":"CoBorrower"},{"id":"CoBorrower_NetRentalIncome","otherIncomeIndex":0,"currentIndicator":true,"incomeType":"NetRentalIncome","owner":"CoBorrower"},{"id":"CoBorrower_OtherTypesOfIncome","otherIncomeIndex":0,"currentIndicator":true,"incomeType":"OtherTypesOfIncome","owner":"CoBorrower"}],"propertyUsageType":"","tax4506s":[{"id":"Tax4506/0"}]}},"example":"{\r\n    \"id\": \"_borrowertest\",\r\n    \"applicationId\": \"_borrowertest\",\r\n    \"applicationIndex\": 1,\r\n    \"assets\": [\r\n      {\r\n        \"id\": \"Asset/0\",\r\n        \"assetType\": \"LifeInsurance\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/1\",\r\n        \"assetIndex\": 1,\r\n        \"assetType\": \"RetirementFund\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/2\",\r\n        \"assetIndex\": 2,\r\n        \"assetType\": \"NetWorthOfBusinessOwned\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/3\",\r\n        \"assetIndex\": 3,\r\n        \"assetType\": \"Stock\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/4\",\r\n        \"assetIndex\": 4,\r\n        \"assetType\": \"Stock\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/5\",\r\n        \"assetIndex\": 5,\r\n        \"assetType\": \"Stock\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/6\",\r\n        \"assetIndex\": 6,\r\n        \"assetType\": \"Stock\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/7\",\r\n        \"assetIndex\": 7,\r\n        \"assetType\": \"Automobile\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/8\",\r\n        \"assetIndex\": 8,\r\n        \"assetType\": \"Automobile\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/9\",\r\n        \"assetIndex\": 9,\r\n        \"assetType\": \"Automobile\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/10\",\r\n        \"assetIndex\": 10,\r\n        \"assetType\": \"CashOnHand\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/11\",\r\n        \"assetIndex\": 11,\r\n        \"assetType\": \"CashOnHand\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/12\",\r\n        \"assetIndex\": 12,\r\n        \"assetType\": \"OtherNonLiquidAssets\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/13\",\r\n        \"assetIndex\": 13,\r\n        \"assetType\": \"OtherNonLiquidAssets\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/14\",\r\n        \"assetIndex\": 14,\r\n        \"assetType\": \"OtherNonLiquidAssets\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/15\",\r\n        \"assetIndex\": 15,\r\n        \"assetType\": \"OtherNonLiquidAssets\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/16\",\r\n        \"assetIndex\": 16,\r\n        \"assetType\": \"OtherNonLiquidAssets\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      },\r\n      {\r\n        \"id\": \"Asset/17\",\r\n        \"assetIndex\": 17,\r\n        \"assetType\": \"OtherNonLiquidAssets\",\r\n        \"borrowerId\": \"_borrower2\",\r\n        \"isEmpty\": true\r\n      }\r\n    ],\r\n    \"borrower\": {\r\n      \"aliasName\": \"UpdateBorrower\",\r\n\t\t\"alimonyChildSupportObligationIndicator\": false,\r\n        \"borrowerType\": \"Individual\",\r\n\t\t\"bankruptcyIndicator\": false,\r\n\t\t\t\"baseMonthlyIncomeAmount\": 3300.00,\r\n\t\t\t\"birthDate\": \"\\/Date(-788227200000)\\/\",\r\n\t\t\t\"borrowedDownPaymentIndicator\": false,\r\n\t\t\t\"borrowerTypeInSummary\": \"Individual\",\r\n\t\t\t\"citizenshipResidencyType\": \"USCitizen\",\r\n\t\t\t\"coMakerEndorserOfNoteIndicator\": false,\r\n\t\t\t\"declarationsJIndicator\": true,\r\n\t\t\t\"declarationsKIndicator\": false,\r\n\t\t\t\"dependentCount\": 1,\r\n\t\t\t\"dependentsAgesDescription\": \"13\",\r\n\t\t\t\"emailAddressText\": \"test@where.com\",\r\n        \"firstName\": \"Aneesha\",\r\n        \"firstNameWithMiddleName\": \"Aneesha update\",\r\n\t\t\"firstTimeHomeBuyer\": true,\r\n        \"fullName\": \"Aneesha\",\r\n        \"fullNameWithSuffix\": \"Aneesha\",\r\n\t\t\"hmda2003RaceNationalOriginType\": \"\",\r\n\t\t\t\"hmdaAsianIndicator\": false,\r\n\t\t\t\"hmdaEthnicityType\": \"Not Hispanic or Latino\",\r\n\t\t\t\"hmdaGenderType\": \"Female\",\r\n\t\t\t\"hmdaWhiteIndicator\": true,\r\n\t\t\t\"homePhoneNumber\": \"111-222-3333\",\r\n\t\t\t\"homeownerPastThreeYearsIndicator\": true,\r\n\t\t\t\"intentToOccupyIndicator\": true,\t\r\n        \t\"isBorrower\": true,\r\n    \t\t\"lastName\": \"BorrPair\",\r\n    \t\t\"lastNameWithSuffix\": \"BorrPair\",\r\n\t\t\t\"loanForeclosureOrJudgementIndicator\": false,\r\n\t\t\t\"maritalStatusType\": \"Married\",\r\n\t\t\t\"middleCreditScore\": 768,\r\n\t\t\t\"middleName\": \"update\",\r\n\t\t\t\"minFicoScore\": \"625\",\r\n\t\t\t\"outstandingJudgementsIndicator\": false,\r\n\t\t\t\"partyToLawsuitIndicator\": false,\r\n\t\t\t\"poaOccupancyIntent\": \"Will Occupy\",\r\n\t\t\t\"powerOfAttorneyTitleDescription\": \"A MARRIED MAN\",\r\n\t\t\t\"presentlyDelinquentIndicator\": false,\r\n\t\t\t\"priorPropertyTitleType\": \"JointWithSpouse\",\r\n\t\t\t\"priorPropertyUsageType\": \"PrimaryResidence\",\r\n\t\t\t\"propertyForeclosedPastSevenYearsIndicator\": false,\r\n\t\t\t\"schoolingTermYears\": 16,\r\n\t\t\t\"taxIdentificationIdentifier\": \"123-45-6789\",\r\n\t\t\t\"vestingTrusteeOfType\": \"Trust 1\",\r\n\t\t\t\"workEmailAddress\": \"b@a.com\"\r\n    },\r\n    \"coborrower\": {\r\n      \"aliasName\": \"Conv Example\",\r\n\t\t\"alimonyChildSupportObligationIndicator\": false,\r\n        \"borrowerType\": \"Individual\",\r\n\t\t\"bankruptcyIndicator\": false,\r\n\t\t\t\"baseMonthlyIncomeAmount\": 6300.00,\r\n\t\t\t\"birthDate\": \"\\/Date(-788227200000)\\/\",\r\n\t\t\t\"borrowedDownPaymentIndicator\": false,\r\n\t\t\t\"BorrowerTypeInSummary\": \"Individual\",\r\n\t\t\t\"citizenshipResidencyType\": \"USCitizen\",\r\n\t\t\t\"coMakerEndorserOfNoteIndicator\": false,\r\n\t\t\t\"declarationsJIndicator\": true,\r\n\t\t\t\"declarationsKIndicator\": false,\r\n\t\t\t\"dependentCount\": 2,\r\n\t\t\t\"dependentsAgesDescription\": \"10,13\",\r\n\t\t\t\"emailAddressText\": \"ja@where.com\",\r\n        \"firstName\": \"Aneesha\",\r\n        \"firstNameWithMiddleName\": \"AneeshaCoborrower\",\r\n\t\t\"firstTimeHomeBuyer\": true,\r\n        \"fullName\": \"AneeshaCoborrower\",\r\n        \"fullNameWithSuffix\": \"AneeshaCoborrower\",\r\n\t\t\"hmda2003RaceNationalOriginType\": \"\",\r\n\t\t\t\"hmdaAsianIndicator\": false,\r\n\t\t\t\"hmdaEthnicityType\": \"Not Hispanic or Latino\",\r\n\t\t\t\"hmdaGenderType\": \"Male\",\r\n\t\t\t\"hmdaWhiteIndicator\": true,\r\n\t\t\t\"homePhoneNumber\": \"111-222-3333\",\r\n\t\t\t\"homeownerPastThreeYearsIndicator\": true,\r\n\t\t\t\"intentToOccupyIndicator\": true,\t\r\n        \"isBorrower\": true,\r\n       \"lastName\": \"updateTest\",\r\n    \"lastNameWithSuffix\": \"updateTest\",\r\n\t\t\t\"loanForeclosureOrJudgementIndicator\": false,\r\n\t\t\t\"maritalStatusType\": \"Married\",\r\n\t\t\t\"middleCreditScore\": 768,\r\n\t\t\t\"middleName\": \"Edith MiddleCE_2015_paidtoBlank\",\r\n\t\t\t\"minFicoScore\": \"625\",\r\n\t\t\t\"outstandingJudgementsIndicator\": false,\r\n\t\t\t\"partyToLawsuitIndicator\": false,\r\n\t\t\t\"poaOccupancyIntent\": \"Will Occupy\",\r\n\t\t\t\"powerOfAttorneyTitleDescription\": \"A MARRIED MAN\",\r\n\t\t\t\"presentlyDelinquentIndicator\": false,\r\n\t\t\t\"priorPropertyTitleType\": \"JointWithSpouse\",\r\n\t\t\t\"priorPropertyUsageType\": \"PrimaryResidence\",\r\n\t\t\t\"propertyForeclosedPastSevenYearsIndicator\": false,\r\n\t\t\t\"schoolingTermYears\": 16,\r\n\t\t\t\"taxIdentificationIdentifier\": \"123-45-6789\",\r\n\t\t\t\"vestingTrusteeOfType\": \"Trust 1\",\r\n\t\t\t\"workEmailAddress\": \"b@a.com\"\r\n    },\r\n    \"income\": [\r\n      {\r\n        \"id\": \"Borrower_Base\",\r\n        \"otherIncomeIndex\": 0,\r\n        \"currentIndicator\": true,\r\n        \"incomeType\": \"Base\",\r\n        \"owner\": \"Borrower\"\r\n      },\r\n      {\r\n        \"id\": \"Borrower_Overtime\",\r\n        \"otherIncomeIndex\": 0,\r\n        \"currentIndicator\": true,\r\n        \"incomeType\": \"Overtime\",\r\n        \"owner\": \"Borrower\"\r\n      },\r\n      {\r\n        \"id\": \"Borrower_Bonus\",\r\n        \"otherIncomeIndex\": 0,\r\n        \"currentIndicator\": true,\r\n        \"incomeType\": \"Bonus\",\r\n        \"owner\": \"Borrower\"\r\n      },\r\n      {\r\n        \"id\": \"Borrower_Commissions\",\r\n        \"otherIncomeIndex\": 0,\r\n        \"currentIndicator\": true,\r\n        \"incomeType\": \"Commissions\",\r\n        \"owner\": \"Borrower\"\r\n      },\r\n      {\r\n        \"id\": \"Borrower_DividendsInterest\",\r\n        \"otherIncomeIndex\": 0,\r\n        \"currentIndicator\": true,\r\n        \"incomeType\": \"DividendsInterest\",\r\n        \"owner\": \"Borrower\"\r\n      },\r\n      {\r\n        \"id\": \"Borrower_NetRentalIncome\",\r\n        \"otherIncomeIndex\": 0,\r\n        \"currentIndicator\": true,\r\n        \"incomeType\": \"NetRentalIncome\",\r\n        \"owner\": \"Borrower\"\r\n      },\r\n      {\r\n        \"id\": \"Borrower_OtherTypesOfIncome\",\r\n        \"otherIncomeIndex\": 0,\r\n        \"currentIndicator\": true,\r\n        \"incomeType\": \"OtherTypesOfIncome\",\r\n        \"owner\": \"Borrower\"\r\n      },\r\n      {\r\n        \"id\": \"CoBorrower_Base\",\r\n        \"otherIncomeIndex\": 0,\r\n        \"currentIndicator\": true,\r\n        \"incomeType\": \"Base\",\r\n        \"owner\": \"CoBorrower\"\r\n      },\r\n      {\r\n        \"id\": \"CoBorrower_Overtime\",\r\n        \"otherIncomeIndex\": 0,\r\n        \"currentIndicator\": true,\r\n        \"incomeType\": \"Overtime\",\r\n        \"owner\": \"CoBorrower\"\r\n      },\r\n      {\r\n        \"id\": \"CoBorrower_Bonus\",\r\n        \"otherIncomeIndex\": 0,\r\n        \"currentIndicator\": true,\r\n        \"incomeType\": \"Bonus\",\r\n        \"owner\": \"CoBorrower\"\r\n      },\r\n      {\r\n        \"id\": \"CoBorrower_Commissions\",\r\n        \"otherIncomeIndex\": 0,\r\n        \"currentIndicator\": true,\r\n        \"incomeType\": \"Commissions\",\r\n        \"owner\": \"CoBorrower\"\r\n      },\r\n      {\r\n        \"id\": \"CoBorrower_DividendsInterest\",\r\n        \"otherIncomeIndex\": 0,\r\n        \"currentIndicator\": true,\r\n        \"incomeType\": \"DividendsInterest\",\r\n        \"owner\": \"CoBorrower\"\r\n      },\r\n      {\r\n        \"id\": \"CoBorrower_NetRentalIncome\",\r\n        \"otherIncomeIndex\": 0,\r\n        \"currentIndicator\": true,\r\n        \"incomeType\": \"NetRentalIncome\",\r\n        \"owner\": \"CoBorrower\"\r\n      },\r\n      {\r\n        \"id\": \"CoBorrower_OtherTypesOfIncome\",\r\n        \"otherIncomeIndex\": 0,\r\n        \"currentIndicator\": true,\r\n        \"incomeType\": \"OtherTypesOfIncome\",\r\n        \"owner\": \"CoBorrower\"\r\n      }\r\n    ],\r\n    \"propertyUsageType\": \"\",\r\n    \"tax4506s\": [\r\n      {\r\n        \"id\": \"Tax4506/0\"\r\n      }\r\n    ]\r\n  } "}}},"tags":["Borrower Pairs"]},"delete":{"summary":"05 - Delete Borrower Pair","operationId":"05-DeleteBorrowerPair","parameters":[{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}},{"name":"bor_pair_id","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"bor_pair_id"}}],"responses":{"200":{"description":"","headers":{}}},"tags":["Borrower Pairs"]}},"/encompass/v1/loans/{LoanGuid}/RatelockRequests":{"post":{"summary":"01 - Create a Rate Lock request","operationId":"01-CreateaRateLockrequest","parameters":[{"name":"view","in":"query","required":true,"style":"form","schema":{"type":"string","example":"entity"}},{"$ref":"#/components/parameters/dataSyncOption"},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"string","example":{"lockRequest":{"correspondentDeliveryType":"Individual Mandatory","programNotes":"TEST123","comments":"TESTING SUBMIT LOCK REQUEST","baseRate":7.5,"lockDate":"2018-07-10","lockNumberOfDays":5},"loanInformation":{"planCode":"xyz","subjectProperty":{"address":"ABC Building 456","SubjectPropertyPropertyStreetAddress":"ABC","SubjectPropertyUnitType":"Building","SubjectPropertyUnitNumber":"456","city":"Pleasanton","state":"CA","postalCode":"94588"}}}},"example":"{\n    \"lockRequest\": {\n        \"correspondentDeliveryType\": \"Individual Mandatory\",\n        \"programNotes\": \"TEST123\",\n        \"comments\": \"TESTING SUBMIT LOCK REQUEST\",\n        \"baseRate\": 7.5,\n        \"lockDate\": \"2018-07-10\",\n        \"lockNumberOfDays\": 5\n    },\n    \"loanInformation\": {\n        \"planCode\": \"xyz\",\n        \"subjectProperty\": {\n            \"address\": \"ABC Building 456\",\n            \"SubjectPropertyPropertyStreetAddress\": \"ABC\",\n            \"SubjectPropertyUnitType\": \"Building\",\n            \"SubjectPropertyUnitNumber\": \"456\",\n            \"city\": \"Pleasanton\",\n            \"state\": \"CA\",\n            \"postalCode\": \"94588\"\n        }\n    }\n}"}}},"tags":["Rate Locks"]}},"/encompass/v1/loans/{LoanGuid}/ratelockRequests/{LockId}":{"get":{"summary":"03 - Get a specific Rate Lock request","operationId":"03-GetaspecificRateLockrequest","parameters":[{"name":"view","in":"query","required":true,"style":"form","schema":{"type":"string","example":"detailed"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}},{"name":"LockId","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LockId"}}],"responses":{"200":{"description":"","headers":{}}},"tags":["Rate Locks"]}},"/encompass/v1/loans/{LoanGuid}/ratelockrequests/{LockId}/snapshot":{"get":{"summary":"04 - Get the Loan Snapshot for a ratelock request","operationId":"04-GettheLoanSnapshotforaratelockrequest","parameters":[{"name":"view","in":"query","required":true,"style":"form","schema":{"type":"string","example":"entity"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}},{"name":"LockId","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LockId"}}],"responses":{"200":{"description":"","headers":{}}},"tags":["Rate Locks"]}},"/encompass/v1/loans/{LoanGuid}/ratelockrequests":{"get":{"summary":"05 - Get list of Rate Lock requests","operationId":"05-GetlistofRateLockrequests","parameters":[{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}}],"responses":{"200":{"description":"","headers":{}}},"tags":["Rate Locks"]},"post":{"summary":"10 - Cancel a  Rate Lock request from SR","operationId":"10-CancelaRateLockrequestfromSR","parameters":[{"name":"action","in":"query","required":true,"style":"form","schema":{"type":"string","example":"cancel"}},{"$ref":"#/components/parameters/requestId"},{"name":"view","in":"query","required":true,"style":"form","schema":{"type":"string","example":"entity"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"string","example":{"lockRequest":{"Comment":"cancel lock test comments"}}},"example":"{\r\n\t\"lockRequest\": {\r\n\t\t\"Comment\": \"cancel lock test comments\"\r\n\t}\r\n}"}}},"tags":["Rate Locks"]}},"/encompass/v1/loans/{LoanGuid}/ratelockrequests/{LockId}/Confirmation":{"put":{"summary":"06 - Confirm a rate Lock request","operationId":"06-ConfirmarateLockrequest","parameters":[{"name":"view","in":"query","required":true,"style":"form","schema":{"type":"string","example":"entity"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}},{"name":"LockId","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LockId"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"string","example":{"lockRequest":{"correspondentDeliveryType":"Individual Mandatory","programNotes":"TEST123","comments":"TESTING SUBMIT LOCK REQUEST","baseRate":7.5,"lockDate":"2018-07-10","lockNumberOfDays":5}}},"example":"{\r\n\t\r\n\"lockRequest\":\r\n{\r\n\"correspondentDeliveryType\": \"Individual Mandatory\",\r\n\"programNotes\": \"TEST123\",\r\n\"comments\": \"TESTING SUBMIT LOCK REQUEST\",\r\n\"baseRate\": 7.5,\r\n\"lockDate\": \"2018-07-10\",\r\n\"lockNumberOfDays\": 5\r\n}\r\n}"}}},"tags":["Rate Locks"]}},"/encompass/v1/loans/{LoanGuid}/ratelockRequests/{LockId}/denial":{"put":{"summary":"07 - Deny a Rate Lock request","operationId":"07-DenyaRateLockrequest","parameters":[{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}},{"name":"LockId","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LockId"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"string","example":{"comments":"Denial comment"}},"example":"{\n\t\"comments\" : \"Denial comment\"\n}"}}},"tags":["Rate Locks"]}},"/encompass/v1/loans/{LoanGuid}/ratelockrequests/{LockId}/cancellation":{"put":{"summary":"11 - Cancel a Rate Lock request","operationId":"11-CancelaRateLockrequest","parameters":[{"name":"view","in":"query","required":true,"style":"form","schema":{"type":"string","example":"entity"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"Bearer {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}},{"name":"LockId","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LockId"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"string","example":{"comments":"cancel lock test comments"}},"example":"{\r\n\t\t\"comments\": \"cancel lock test comments\"\r\n\r\n}"}}},"tags":["Rate Locks"]}},"/encompass/v1/loans/{LoanGuid}/ratelockrequests/{LockId}":{"patch":{"summary":"12 - Update RateLock","operationId":"12-UpdateRateLock","parameters":[{"name":"view","in":"query","required":true,"style":"form","schema":{"type":"string","example":"entity"}},{"name":"Authorization","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"BEARER {{ACCESS_TOKEN}}"}},{"name":"Content-Type","in":"header","required":true,"style":"simple","schema":{"type":"string","example":"application/json"}},{"name":"LoanGuid","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LoanGuid"}},{"name":"LockId","in":"path","required":true,"style":"simple","schema":{"type":"string","example":"LockId"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"string","example":{"lockNumberOfDays":12,"lockExpirationDate":"2018-07-20","requestedBy":{"entityId":"devadmin","entityType":"User"},"requestedDate":"2018-07-09T07:25:57Z","fulfilledDate":"2018-07-09T07:33:34Z","fulfilledBy":{"entityId":"devadmin","entityType":"User"},"investor":"xoriant","investorDeliveryDate":"2018-07-31T00:00:00Z","requestIndicators":["HideLog","LockWithoutRequest"],"investorCommitment":"WELCOME","lockRequest":{"onrpLock":false,"hedging":false,"fulfilledDate":"2018-07-09T07:33:34.000Z","isCancelled":false,"rateStatus":"Locked","requestPending":false,"extensionRequestPending":false,"cancellationRequestPending":false,"reLockRequestPending":false,"adjustments":[]},"buySide":{"requestedBy":"dev mobile admin","startingAdjustPrice":1.3,"unDiscountedRate":1.1,"startingAdjustRate":1.2,"startingAdjPrice":1.3,"branchApprovalDate":"","corporateApprovalDate":"","profitMarginAdjustedBuyPrice":0.26,"totalBuyPrice":59.622,"commitment":"WELCOME","rateSheetId":"RS9110","lockNumberOfDays":12,"lockDate":"2018-07-09","lockExpirationDate":"2018-07-20","adjustments":[{"adjustmentType":"LockExtensionAdjustment","description":"E1","priceAdjustmentType":"BasePrice","adjustment":8},{"adjustmentType":"LockExtensionAdjustment","description":"E2","priceAdjustmentType":"BasePrice","adjustment":9},{"adjustmentType":"LockExtensionAdjustment","description":"E3","priceAdjustmentType":"BasePrice","adjustment":10},{"adjustmentType":"Adjustment","description":"Mobile Profit","priceAdjustmentType":"ProfitMargin","adjustment":0.26},{"adjustmentType":"Adjustment","description":"1 Year Payment Option","priceAdjustmentType":"BaseMargin","adjustment":99},{"adjustmentType":"Adjustment","description":"Second Home","priceAdjustmentType":"BaseRate","adjustment":0.25},{"adjustmentType":"Adjustment","description":"FICO 700 - 719","priceAdjustmentType":"BasePrice","adjustment":0.26},{"adjustmentType":"ReLockFeeAdjustment","description":"R1","priceAdjustmentType":"BasePrice","adjustment":2.698},{"adjustmentType":"ReLockFeeAdjustment","description":"R2","priceAdjustmentType":"BasePrice","adjustment":4.125},{"adjustmentType":"ReLockFeeAdjustment","description":"R3","priceAdjustmentType":"BasePrice","adjustment":6.258},{"adjustmentType":"CustomPriceAdjustment","description":"CPA1","priceAdjustmentType":"BasePrice","adjustment":3.441},{"adjustmentType":"CustomPriceAdjustment","description":"CPA2","priceAdjustmentType":"BasePrice","adjustment":6.365},{"adjustmentType":"CustomPriceAdjustment","description":"CPA3","priceAdjustmentType":"BasePrice","adjustment":9.215}],"totalRateAdjustments":0.25,"netRate":0.25,"totalPriceAdjustments":59.362,"netPrice":59.622,"totalMarginAdjustments":99,"netMarginRate":99},"sellSide":{"requestedBy":"dev mobile admin","investor":{"lockedDate":"2018-07-09T07:00:00Z","deliveryDate":"2018-07-31","targetDeliveryDate":"2018-08-04","name":"xoriant","contact":"Gayatri Devargaonkar","phone":"091-985-0556 0645","email":"gayatri.devargaonkar@xoriant.com","city":"Pune","state":"MH","postalCode":"41104-5","lockType":"Mandatory","status":"AssignedFlow","statusDate":"2018-07-09","commitment":"WELCOME"},"servicingFee":1100,"guaranteeFee":500,"diffPrice":-59.362,"servicingType":"Service Retained","discountYsp":-40.638,"gainLossPercentage":-0.26,"gainLossTotalPrice":59.362,"rateSheetId":"RS9110","lockNumberOfDays":12,"lockDate":"2018-07-09","lockExpirationDate":"2018-07-20","adjustments":[{"adjustmentType":"Adjustment","description":"Second Home","priceAdjustmentType":"BaseRate","adjustment":0.25},{"adjustmentType":"LockExtensionAdjustment","description":"E1","priceAdjustmentType":"BasePrice","adjustment":8},{"adjustmentType":"LockExtensionAdjustment","description":"E2","priceAdjustmentType":"BasePrice","adjustment":9},{"adjustmentType":"LockExtensionAdjustment","description":"E3","priceAdjustmentType":"BasePrice","adjustment":10},{"adjustmentType":"Adjustment","description":"FICO 700 - 719","priceAdjustmentType":"BasePrice","adjustment":0.26},{"adjustmentType":"Adjustment","description":"1 Year Payment Option","priceAdjustmentType":"BaseMargin","adjustment":99},{"adjustmentType":"ReLockFeeAdjustment","description":"R1","priceAdjustmentType":"BasePrice","adjustment":2.698},{"adjustmentType":"ReLockFeeAdjustment","description":"R2","priceAdjustmentType":"BasePrice","adjustment":4.125},{"adjustmentType":"ReLockFeeAdjustment","description":"R3","priceAdjustmentType":"BasePrice","adjustment":6.258},{"adjustmentType":"CustomPriceAdjustment","description":"CPA1","priceAdjustmentType":"BasePrice","adjustment":3.441},{"adjustmentType":"CustomPriceAdjustment","description":"CPA2","priceAdjustmentType":"BasePrice","adjustment":6.365},{"adjustmentType":"CustomPriceAdjustment","description":"CPA3","priceAdjustmentType":"BasePrice","adjustment":9.215}],"totalRateAdjustments":0.25,"netRate":0.25,"totalPriceAdjustments":59.362,"netPrice":59.362,"totalMarginAdjustments":99,"netMarginRate":99},"comparison":{"investor":{"name":"xoriant","contact":"Gayatri Devargaonkar","phone":"091-985-0556 0645","email":"gayatri.devargaonkar@xoriant.com","address":"Baner pune, Baner Pune","city":"Pune","state":"MH","postalCode":"41104-5"},"servicingType":"Service Retained","discountYsp":-40.638,"gainLossTotalPrice":59.362,"rateSheetId":"RS9110","lockNumberOfDays":12,"lockDate":"2018-07-09","lockExpirationDate":"2018-07-20","adjustments":[{"adjustmentType":"Adjustment","description":"Second Home","priceAdjustmentType":"BaseRate","adjustment":0.25},{"adjustmentType":"Adjustment","description":"1 Year Payment Option","priceAdjustmentType":"BaseMargin","adjustment":99},{"adjustmentType":"LockExtensionAdjustment","description":"E1","priceAdjustmentType":"BasePrice","adjustment":8},{"adjustmentType":"LockExtensionAdjustment","description":"E2","priceAdjustmentType":"BasePrice","adjustment":9},{"adjustmentType":"LockExtensionAdjustment","description":"E3","priceAdjustmentType":"BasePrice","adjustment":10},{"adjustmentType":"Adjustment","description":"FICO 700 - 719","priceAdjustmentType":"BasePrice","adjustment":0.26},{"adjustmentType":"ReLockFeeAdjustment","description":"R1","priceAdjustmentType":"BasePrice","adjustment":2.698},{"adjustmentType":"ReLockFeeAdjustment","description":"R2","priceAdjustmentType":"BasePrice","adjustment":4.125},{"adjustmentType":"ReLockFeeAdjustment","description":"R3","priceAdjustmentType":"BasePrice","adjustment":6.258},{"adjustmentType":"CustomPriceAdjustment","description":"CPA1","priceAdjustmentType":"BasePrice","adjustment":3.441},{"adjustmentType":"CustomPriceAdjustment","description":"CPA2","priceAdjustmentType":"BasePrice","adjustment":6.365},{"adjustmentType":"CustomPriceAdjustment","description":"CPA3","priceAdjustmentType":"BasePrice","adjustment":9.215}],"totalRateAdjustments":0.25,"netRate":0.25,"totalPriceAdjustments":59.362,"netPrice":59.362,"totalMarginAdjustments":99,"netMarginRate":99}}},"example":"{\n    \"lockNumberOfDays\": 12,\n    \"lockExpirationDate\": \"2018-07-20\",\n    \"requestedBy\": {\n        \"entityId\": \"devadmin\",\n        \"entityType\": \"User\"\n    },\n    \"requestedDate\": \"2018-07-09T07:25:57Z\",\n    \"fulfilledDate\": \"2018-07-09T07:33:34Z\",\n    \"fulfilledBy\": {\n        \"entityId\": \"devadmin\",\n        \"entityType\": \"User\"\n    },\n    \"investor\": \"xoriant\",\n    \"investorDeliveryDate\": \"2018-07-31T00:00:00Z\",\n    \"requestIndicators\": [\n        \"HideLog\",\n        \"LockWithoutRequest\"\n    ],\n    \"investorCommitment\": \"WELCOME\",\n    \"lockRequest\": {\n        \"onrpLock\": false,\n        \"hedging\": false,\n        \"fulfilledDate\": \"2018-07-09T07:33:34.000Z\",\n        \"isCancelled\": false,\n        \"rateStatus\": \"Locked\",\n        \"requestPending\": false,\n        \"extensionRequestPending\": false,\n        \"cancellationRequestPending\": false,\n        \"reLockRequestPending\": false,\n        \"adjustments\": []\n    },\n    \"buySide\": {\n        \"requestedBy\": \"dev mobile admin\",\n        \"startingAdjustPrice\": 1.3,\n        \"unDiscountedRate\": 1.1,\n        \"startingAdjustRate\": 1.2,\n        \"startingAdjPrice\": 1.3,\n        \"branchApprovalDate\": \"\",\n        \"corporateApprovalDate\": \"\",\n        \"profitMarginAdjustedBuyPrice\": 0.26,\n        \"totalBuyPrice\": 59.622,\n        \"commitment\": \"WELCOME\",\n        \"rateSheetId\": \"RS9110\",\n        \"lockNumberOfDays\": 12,\n        \"lockDate\": \"2018-07-09\",\n        \"lockExpirationDate\": \"2018-07-20\",\n        \"adjustments\": [\n            {\n                \"adjustmentType\": \"LockExtensionAdjustment\",\n                \"description\": \"E1\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 8\n            },\n            {\n                \"adjustmentType\": \"LockExtensionAdjustment\",\n                \"description\": \"E2\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 9\n            },\n            {\n                \"adjustmentType\": \"LockExtensionAdjustment\",\n                \"description\": \"E3\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 10\n            },\n            {\n                \"adjustmentType\": \"Adjustment\",\n                \"description\": \"Mobile Profit\",\n                \"priceAdjustmentType\": \"ProfitMargin\",\n                \"adjustment\": 0.26\n            },\n            {\n                \"adjustmentType\": \"Adjustment\",\n                \"description\": \"1 Year Payment Option\",\n                \"priceAdjustmentType\": \"BaseMargin\",\n                \"adjustment\": 99\n            },\n            {\n                \"adjustmentType\": \"Adjustment\",\n                \"description\": \"Second Home\",\n                \"priceAdjustmentType\": \"BaseRate\",\n                \"adjustment\": 0.25\n            },\n            {\n                \"adjustmentType\": \"Adjustment\",\n                \"description\": \"FICO 700 - 719\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 0.26\n            },\n            {\n                \"adjustmentType\": \"ReLockFeeAdjustment\",\n                \"description\": \"R1\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 2.698\n            },\n            {\n                \"adjustmentType\": \"ReLockFeeAdjustment\",\n                \"description\": \"R2\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 4.125\n            },\n            {\n                \"adjustmentType\": \"ReLockFeeAdjustment\",\n                \"description\": \"R3\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 6.258\n            },\n            {\n                \"adjustmentType\": \"CustomPriceAdjustment\",\n                \"description\": \"CPA1\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 3.441\n            },\n            {\n                \"adjustmentType\": \"CustomPriceAdjustment\",\n                \"description\": \"CPA2\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 6.365\n            },\n            {\n                \"adjustmentType\": \"CustomPriceAdjustment\",\n                \"description\": \"CPA3\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 9.215\n            }\n        ],\n        \"totalRateAdjustments\": 0.25,\n        \"netRate\": 0.25,\n        \"totalPriceAdjustments\": 59.362,\n        \"netPrice\": 59.622,\n        \"totalMarginAdjustments\": 99,\n        \"netMarginRate\": 99\n    },\n    \"sellSide\": {\n        \"requestedBy\": \"dev mobile admin\",\n        \"investor\": {\n            \"lockedDate\": \"2018-07-09T07:00:00Z\",\n            \"deliveryDate\": \"2018-07-31\",\n            \"targetDeliveryDate\": \"2018-08-04\",\n            \"name\": \"xoriant\",\n            \"contact\": \"Gayatri Devargaonkar\",\n            \"phone\": \"091-985-0556 0645\",\n            \"email\": \"gayatri.devargaonkar@xoriant.com\",\n            \"city\": \"Pune\",\n            \"state\": \"MH\",\n            \"postalCode\": \"41104-5\",\n            \"lockType\": \"Mandatory\",\n            \"status\": \"AssignedFlow\",\n            \"statusDate\": \"2018-07-09\",\n            \"commitment\": \"WELCOME\"\n        },\n        \"servicingFee\": 1100,\n        \"guaranteeFee\": 500,\n        \"diffPrice\": -59.362,\n        \"servicingType\": \"Service Retained\",\n        \"discountYsp\": -40.638,\n        \"gainLossPercentage\": -0.26,\n        \"gainLossTotalPrice\": 59.362,\n        \"rateSheetId\": \"RS9110\",\n        \"lockNumberOfDays\": 12,\n        \"lockDate\": \"2018-07-09\",\n        \"lockExpirationDate\": \"2018-07-20\",\n        \"adjustments\": [\n            {\n                \"adjustmentType\": \"Adjustment\",\n                \"description\": \"Second Home\",\n                \"priceAdjustmentType\": \"BaseRate\",\n                \"adjustment\": 0.25\n            },\n            {\n                \"adjustmentType\": \"LockExtensionAdjustment\",\n                \"description\": \"E1\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 8\n            },\n            {\n                \"adjustmentType\": \"LockExtensionAdjustment\",\n                \"description\": \"E2\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 9\n            },\n            {\n                \"adjustmentType\": \"LockExtensionAdjustment\",\n                \"description\": \"E3\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 10\n            },\n            {\n                \"adjustmentType\": \"Adjustment\",\n                \"description\": \"FICO 700 - 719\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 0.26\n            },\n            {\n                \"adjustmentType\": \"Adjustment\",\n                \"description\": \"1 Year Payment Option\",\n                \"priceAdjustmentType\": \"BaseMargin\",\n                \"adjustment\": 99\n            },\n            {\n                \"adjustmentType\": \"ReLockFeeAdjustment\",\n                \"description\": \"R1\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 2.698\n            },\n            {\n                \"adjustmentType\": \"ReLockFeeAdjustment\",\n                \"description\": \"R2\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 4.125\n            },\n            {\n                \"adjustmentType\": \"ReLockFeeAdjustment\",\n                \"description\": \"R3\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 6.258\n            },\n            {\n                \"adjustmentType\": \"CustomPriceAdjustment\",\n                \"description\": \"CPA1\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 3.441\n            },\n            {\n                \"adjustmentType\": \"CustomPriceAdjustment\",\n                \"description\": \"CPA2\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 6.365\n            },\n            {\n                \"adjustmentType\": \"CustomPriceAdjustment\",\n                \"description\": \"CPA3\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 9.215\n            }\n        ],\n        \"totalRateAdjustments\": 0.25,\n        \"netRate\": 0.25,\n        \"totalPriceAdjustments\": 59.362,\n        \"netPrice\": 59.362,\n        \"totalMarginAdjustments\": 99,\n        \"netMarginRate\": 99\n    },\n    \"comparison\": {\n        \"investor\": {\n            \"name\": \"xoriant\",\n            \"contact\": \"Gayatri Devargaonkar\",\n            \"phone\": \"091-985-0556 0645\",\n            \"email\": \"gayatri.devargaonkar@xoriant.com\",\n            \"address\": \"Baner pune, Baner Pune\",\n            \"city\": \"Pune\",\n            \"state\": \"MH\",\n            \"postalCode\": \"41104-5\"\n        },\n        \"servicingType\": \"Service Retained\",\n        \"discountYsp\": -40.638,\n        \"gainLossTotalPrice\": 59.362,\n        \"rateSheetId\": \"RS9110\",\n        \"lockNumberOfDays\": 12,\n        \"lockDate\": \"2018-07-09\",\n        \"lockExpirationDate\": \"2018-07-20\",\n        \"adjustments\": [\n            {\n                \"adjustmentType\": \"Adjustment\",\n                \"description\": \"Second Home\",\n                \"priceAdjustmentType\": \"BaseRate\",\n                \"adjustment\": 0.25\n            },\n            {\n                \"adjustmentType\": \"Adjustment\",\n                \"description\": \"1 Year Payment Option\",\n                \"priceAdjustmentType\": \"BaseMargin\",\n                \"adjustment\": 99\n            },\n            {\n                \"adjustmentType\": \"LockExtensionAdjustment\",\n                \"description\": \"E1\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 8\n            },\n            {\n                \"adjustmentType\": \"LockExtensionAdjustment\",\n                \"description\": \"E2\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 9\n            },\n            {\n                \"adjustmentType\": \"LockExtensionAdjustment\",\n                \"description\": \"E3\",\n                \"priceAdjustmentType\": \"BasePrice\",\n                \"adjustment\": 10\n            },\n            {\n                \"adjustmentType\": \"Adjustment\",\n                \"description\": \"FICO 700 - 719\",\n                \"priceAdjustmentType\": \"BasePr
[...]
